package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.ContactRecord;


/**
*  service接口类
*/
public interface ContactRecordService{

    List<ContactRecord> getContactRecordList(ContactRecord record);

    List<ContactRecord> getContactRecordByPage(Page page, ContactRecord record);

    ContactRecord getContactRecordById(String id);

    ContactRecord getContactRecord(ContactRecord record);

    boolean createContactRecord(ContactRecord record);

    boolean deleteContactRecord(String id);

    boolean updateContactRecord(ContactRecord record);
}

